{config, ...}: {
  imports = [
    # ─────────────────────────────────────────────────────────────
    # Programs
    # ─────────────────────────────────────────────────────────────
    ../../home/programs/ghostty
    ../../home/programs/nvf
    ../../home/programs/shell
    ../../home/programs/git
    ../../home/programs/git/lazygit.nix
    ../../home/programs/thunar
    ../../home/programs/nixy
    ../../home/programs/nightshift
    ../../home/programs/nix-utils
    ../../home/programs/spotatui
    ../../home/programs/yazi

		# ─────────────────────────────────────────────────────────────
    # Gaming
    # ─────────────────────────────────────────────────────────────
		../../home/programs/steam

		# ─────────────────────────────────────────────────────────────
    # Groups
    # ─────────────────────────────────────────────────────────────
    ../../home/programs/group/basic-apps.nix
    ../../home/programs/group/dev.nix
    ../../home/programs/group/misc.nix
    ../../home/programs/group/gaming-apps.nix

    # ─────────────────────────────────────────────────────────────
    # System
    # ─────────────────────────────────────────────────────────────
    ../../home/system/hyprland
    ../../home/system/waybar
    ../../home/system/walker
    ../../home/system/hyprpaper
    ../../home/system/mime
    ../../home/system/udiskie

    ./variables.nix # Mostly user-specific configuration
    #./secrets # CHANGEME: You should probably remove this line, this is where I store my secrets
  ];

  home = {
    inherit (config.var) username;
    homeDirectory = "/home/" + config.var.username;
    file.".face" = {
      source = ./profile_picture.jpg;
    };

    sessionVariables = {
      # Graphics devices for Intel Iris Xe Graphics
      # AQ_DRM_DEVICES = "/dev/dri/card0"; # Single GPU configuration
    };

    # Don't touch this
    stateVersion = "24.05";
  };

  wayland.windowManager.hyprland.settings.monitor = [
    "eDP-1,1920x1080,0x0,1.5" # My internal laptop screen
  ];

  programs = {
    home-manager.enable = true;
    nixy = {
      enable = true;
      configDirectory = config.var.configDirectory;
    };
  };
}
